import React, { useState, useEffect } from 'react';

const getGreatestCommonDenomOf = (x, y) => {
  if (typeof x !== 'number' || typeof y !== 'number') return false;
  x = Math.abs(x);
  y = Math.abs(y);
  while (y) {
    var t = y;
    y = x % y;
    x = t;
  }
  return x;
};

export const useData = () => {
  
  const [data, setData] = useState(null);
  
  useEffect(() => {
    let data = [];
    data.push({ n: 0, a: 1 });
    data.push({ n: 1, a: 1 });
	  for (let i = 2; i <= 850; i++) {
      let s = {};
      s.n = i;
      let gcd = getGreatestCommonDenomOf(s.n, data[i - 1].a);
      if (gcd > 1) s.a = data[i - 1].a / gcd;
      else s.a = data[i - 1].a + i + 1;
      data.push(s);
    }
    setData(data)
  }, []);
  
  return data;
};
